<?php

namespace App\Imports;

use App\Domains;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Collection;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class DomainsImport implements  ToModel, WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public $value ="";
    public  $count = 0;
    public function model(array $row)
    {

        if (!empty($row['name']) && !empty($row['price'])) {
            try {

                $checkDomain = Domains::where('domain_name',$row['name'])->get();
                if(count($checkDomain)==0)
                {
                    $domain = new Domains();
                    $replace = str_replace('www.','',$row['name']);
                    $explod = explode('.',$replace);
                    $domain->domain_name = $replace;
                    $domain->name = $explod[0];
                    $domain->type = $explod[1];
                    $domain->domain_name = $row['name'];
                    $domain->price = $row['price'];
                    if(!empty($row['featured']) && $row['featured'] =='true')
                    {
                       // $newDateTime = Carbon::now()->addYears($row['days']);
                        $domain->featured = "1";
                       // $domain->days = $newDateTime->toDateString();
                        $domain->save();
                        $this->count++;
                    }
                    else{
                        $domain->featured = "0";
                        $domain->save();
                        $this->count++;
                    }
                }

                if($this->count>0)
                {
                    $this->collection(new Collection([
                        'upload successfully'

                    ]));
                }
                else{
                    $this->collection(new Collection([
                        'Please check your data either you missed values or passing duplicate domain name'

                    ]));
                }

            }
            catch (\Exception $e)
            {

                $this->collection(new Collection([
                    'Something went wrong , please  upload file again and check your columns and make sure these are correct'

                ]));
                }


        }
    }

    public function collection(Collection $rows)
    {

        $this->value = $rows;
        return $this->value;
    }
}
