<?php

namespace App\Providers;

use App\MakeOffer;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        view()->composer(['admin.includes.side_menu'], function($view)
        {
           $makeOffersCount = MakeOffer::where('is_read','0')->get();
           $makeOffersCountTotal = MakeOffer::all();

                    $view->with(['makeOffersCount' => $makeOffersCount, 'makeOffersCountTotal' => $makeOffersCountTotal]);

        });
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
