<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DomainUsers extends Model
{
    protected $table = 'domain_users';

    public function domain()
    {

        return $this->belongsTo('App\Domains','domain_id','id');

    }
    public function user()
    {

        return $this->belongsTo('App\User','user_id','id');

    }

    public function getAddress($customer_id , $domain_id )
    {


        return CustomerAddress::where('user_id', $customer_id)->where('domain_id', $domain_id)->where('active','1')->first();

    }
}
