<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Payments extends Model
{
    protected $table = 'payments';
    protected $softDelete = true;

    public function getDomain()
    {

        return $this->belongsTo('App\Domains','domain_id','id');
    }

    public function getTotal()
    {

        return $this->belongsTo('App\Orders','order_id','id');

    }
}
